/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="ExtTrigInitSearchHV"> ********
Author: Rahkola, R
$Id: ExtTrigInitSearch.h,v 1.4 2002/10/04 18:03:38 rrahkola Exp $
********* </lalVerbatim> ********/

#ifndef _EXTTRIGINITSEARCH_H
#define _EXTTRIGINITSEARCH_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>

#ifdef __cplusplus
extern "C" {
#endif

NRCSID( EXTTRIGINITSEARCHH, "$Id: ExtTrigInitSearch.h,v 1.4 2002/10/04 18:03:38 rrahkola Exp $");

/*********************** <lalErrTable file="ExtTrigInitSearchHErrTab"> */
#define INITSEARCHH_ENULL 1
#define INITSEARCHH_ENNUL 2
#define INITSEARCHH_EARGS 3
#define INITSEARCHH_EALOC 4
#define INITSEARCHH_ENUML 5
#define INITSEARCHH_ENUMH 6
#define INITSEARCHH_EPAR  7
#define INITSEARCHH_ESEGZ 8
#define INITSEARCHH_ERANK 9
#define INITSEARCHH_EUEXT 10
#define INITSEARCHH_ETOTL 12
#define INITSEARCHH_EDUMY 50

#define INITSEARCHH_MSGENULL "exttrig:Null pointer"
#define INITSEARCHH_MSGENNUL "exttrig:Non-null pointer"
#define INITSEARCHH_MSGEARGS "exttrig:Wrong number of arguments"
#define INITSEARCHH_MSGEALOC "exttrig:Memory allocation error"
#define INITSEARCHH_MSGENUML "exttrig:Argument is less than a logical limit"
#define INITSEARCHH_MSGENUMH "exttrig:Argument is greater than a logical limit"
#define INITSEARCHH_MSGEPAR  "exttrig:Calling argument has wrong parity (odd)"
#define INITSEARCHH_MSGESEGZ "exttrig:Number of segments is zero or negative"
#define INITSEARCHH_MSGETOTL "exttrig:Total segments exceed given duration"
#define INITSEARCHH_MSGERANK "exttrig:Search node has incorrect rank"
#define INITSEARCHH_MSGEUEXT "exttrig:Unrecognised exchange type"
#define INITSEARCHH_MSGEDUMY "exttrig:Done executing dummy code"

/************************************ </lalErrTable> */

#ifdef __cplusplus
}
#endif

#endif /* _EXTTRIGINITSEARCH_H */
